AbstractFSManifestIterable
Date: 2014-12-13

org.apache.ivy.osgi.repo

## Class AbstractFSManifestIterable<T>

- java.lang.Object
- - org.apache.ivy.osgi.repo.AbstractFSManifestIterable<T>

- All Implemented Interfaces:
    java.lang.Iterable<ManifestAndLocation>
  Direct Known Subclasses:
    FSManifestIterable, RepositoryManifestIterable

      public abstract class AbstractFSManifestIterable<T>
      extends java.lang.Object
      implements java.lang.Iterable<ManifestAndLocation>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFSManifestIterable(T root)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract java.net.URI` | `buildBundleURI(T location)`
    `protected abstract java.io.InputStream` | `getInputStream(T f)`
    `java.util.Iterator<ManifestAndLocation>` | `iterator()`
    `protected abstract java.util.List<T>` | `listBundleFiles(T dir)`
    `protected abstract java.util.List<T>` | `listDirs(T dir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFSManifestIterable

          public AbstractFSManifestIterable(T root)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<ManifestAndLocation> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<ManifestAndLocation>`

    - #### listBundleFiles

          protected abstract java.util.List<T> listBundleFiles(T dir)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### listDirs

          protected abstract java.util.List<T> listDirs(T dir)
                                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getInputStream

          protected abstract java.io.InputStream getInputStream(T f)
                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### buildBundleURI

          protected abstract java.net.URI buildBundleURI(T location)
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`